Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xmerge
Class EmbeddedObject

    java.lang.Object
      writer2latex.xmerge.EmbeddedObject

Direct Known Subclasses:
  EmbeddedBinaryObject, EmbeddedXMLObject

    public abstract class EmbeddedObject

extends java.lang.Object

Field Summary
`protected boolean` | `hasChanged` Flag indicating if this document has changed since reading or is new.
`protected java.lang.String` | `objName`
`protected java.lang.String` | `objType`
`protected OfficeZip` | `zipFile` Representation of the file from which this object was read.

Constructor Summary
`EmbeddedObject(java.lang.String name, java.lang.String type)` Constructor for an embedded object stored using an XML representation.
`EmbeddedObject(java.lang.String name, java.lang.String type, OfficeZip source)` Package private constructor for use when reading an object from a compressed SX?

Method Summary
`java.lang.String` | `getName()` Retrieves the name of the embedded object represented by an instance of this class.
`java.lang.String` | `getType()` Retrieves the type of the embedded object represented by an instance of this class.
`(package private) abstract void` | `write(OfficeZip zip)` Package private method for writing the data of the EmbeddedObject to a SX?
`(package private) abstract void` | `writeManifestData(org.w3c.dom.Document manifestDoc)` Package private method that constructs the manifest.xml entries for this embedded object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### objName

    protected java.lang.String objName

### objType

    protected java.lang.String objType

### zipFile

    protected OfficeZip zipFile

  Representation of the file from which this object was read.

### hasChanged

    protected boolean hasChanged

  Flag indicating if this document has changed since reading or is new.

Constructor Detail

### EmbeddedObject

    public EmbeddedObject(java.lang.String name,
                          java.lang.String type)

  Constructor for an embedded object stored using an XML representation.

  Parameters:
    `name` - The name of the object.
    `type` - The mime-type of the object. See the class summary.

### EmbeddedObject

    EmbeddedObject(java.lang.String name,
                   java.lang.String type,
                   OfficeZip source)

  Package private constructor for use when reading an object from a compressed SX? file.

  Parameters:
    `name` - The name of the object.
    `type` - The mime-type of the object. See the class summary.
    `source` - The OfficeZip representation of the SX? file that stores the object.

Method Detail

### getName

    public final java.lang.String getName()

  Retrieves the name of the embedded object represented by an instance of this class. N.B.The name referes to the name as found in the `META-INF/manifest.xml` file.

  Returns:
    The name of the object.

### getType

    public final java.lang.String getType()

  Retrieves the type of the embedded object represented by an instance of this class. The `META-INF/manifest.xml` file currently represents the type of an object using MIME types.

### write

    abstract void write(OfficeZip zip)
                 throws java.io.IOException

  Package private method for writing the data of the EmbeddedObject to a SX? file.

  Parameters:
    `zip` - An `OfficeZip` instance representing the file the data is to be written to.
  Throws:
    `java.io.IOException`

### writeManifestData

    abstract void writeManifestData(org.w3c.dom.Document manifestDoc)
                             throws org.w3c.dom.DOMException

  Package private method that constructs the manifest.xml entries for this embedded object.

  Throws:
    `org.w3c.dom.DOMException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD